IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'FieldMapNumber'
)
  ALTER TABLE ReportLayoutFields ADD FieldMapNumber int NULL
GO

IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'UniqueIDField'
)
  ALTER TABLE ReportLayoutFields ADD UniqueIDField bit NULL
GO

ALTER TABLE ReportLayoutFields ALTER COLUMN FieldName varchar(260) NULL
GO 
